## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Class ParameterType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.ParameterType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class ParameterType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Parameter Type', and utility methods for working with them.

See Also:
  `SybaseasabasesqlmodelPackage.getParameterType()`, Serialized Form

Field Summary
`static int` `RESULT` The 'RESULT' literal value.
`static ParameterType` `RESULT_LITERAL` The 'RESULT' literal object.
`static int` `RETURN` The 'RETURN' literal value.
`static ParameterType` `RETURN_LITERAL` The 'RETURN' literal object.
`static int` `SQLCODE` The 'SQLCODE' literal value.
`static ParameterType` `SQLCODE_LITERAL` The 'SQLCODE' literal object.
`static int` `SQLSTATE` The 'SQLSTATE' literal value.
`static ParameterType` `SQLSTATE_LITERAL` The 'SQLSTATE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Parameter Type' enumerators.
`static int` `VARIABLE` The 'VARIABLE' literal value.
`static ParameterType` `VARIABLE_LITERAL` The 'VARIABLE' literal object.

Method Summary
`static ParameterType` `get(int value)` Returns the 'Parameter Type' literal with the specified integer value.
`static ParameterType` `get(java.lang.String literal)` Returns the 'Parameter Type' literal with the specified literal value.
`static ParameterType` `getByName(java.lang.String name)` Returns the 'Parameter Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VARIABLE

    public static final int VARIABLE

  The 'VARIABLE' literal value.

  If the meaning of 'VARIABLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `VARIABLE_LITERAL`, Constant Field Values

### RESULT

    public static final int RESULT

  The 'RESULT' literal value.

  If the meaning of 'RESULT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RESULT_LITERAL`, Constant Field Values

### SQLSTATE

    public static final int SQLSTATE

  The 'SQLSTATE' literal value.

  If the meaning of 'SQLSTATE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SQLSTATE_LITERAL`, Constant Field Values

### SQLCODE

    public static final int SQLCODE

  The 'SQLCODE' literal value.

  If the meaning of 'SQLCODE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SQLCODE_LITERAL`, Constant Field Values

### RETURN

    public static final int RETURN

  The 'RETURN' literal value.

  If the meaning of 'RETURN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RETURN_LITERAL`, Constant Field Values

### VARIABLE_LITERAL

    public static final ParameterType VARIABLE_LITERAL

  The 'VARIABLE' literal object.

  See Also:
    `VARIABLE`

### RESULT_LITERAL

    public static final ParameterType RESULT_LITERAL

  The 'RESULT' literal object.

  See Also:
    `RESULT`

### SQLSTATE_LITERAL

    public static final ParameterType SQLSTATE_LITERAL

  The 'SQLSTATE' literal object.

  See Also:
    `SQLSTATE`

### SQLCODE_LITERAL

    public static final ParameterType SQLCODE_LITERAL

  The 'SQLCODE' literal object.

  See Also:
    `SQLCODE`

### RETURN_LITERAL

    public static final ParameterType RETURN_LITERAL

  The 'RETURN' literal object.

  See Also:
    `RETURN`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Parameter Type' enumerators.

Method Detail

### get

    public static ParameterType get(java.lang.String literal)

  Returns the 'Parameter Type' literal with the specified literal value.

### getByName

    public static ParameterType getByName(java.lang.String name)

  Returns the 'Parameter Type' literal with the specified name.

### get

    public static ParameterType get(int value)

  Returns the 'Parameter Type' literal with the specified integer value.